import express, {Express, json, urlencoded} from 'express';
import 'dotenv/config';
import cors from 'cors';
import {mongoose} from './repository/mongoose';
import {ArtistRouter} from './routes/artist';

mongoose.run();

const app: Express = express();
app.use(json());
app.use(cors());
app.use(urlencoded({extended: true}));

app.use(express.static('images'));
app.use('/artists', ArtistRouter);

app.listen(process.env.PORT, () => {
	console.log(`App started on port ${process.env.PORT}`);
});
